## IAnjutaEditorHover IAnjutaEditorHover — Text editor hover interface |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/interfaces/ianjuta-editor-hover>

    #define             IANJUTA_EDITOR_HOVER_ERROR
                        IAnjutaEditorHover;
                        IAnjutaEditorHoverIface;
    GQuark              ianjuta_editor_hover_error_quark    (void);
    void                ianjuta_editor_hover_display        (IAnjutaEditorHover *obj,
                                                             IAnjutaIterable *position,
                                                             const gchar *info,
                                                             GError **err);

## Object Hierarchy

      GInterface
       +----IAnjutaEditorHover

## Prerequisites

IAnjutaEditorHover requires IAnjutaEditor and GObject.

## Signals

      "hover-leave"                                    : Run Last
      "hover-over"                                     : Run Last

## Description

## Details

### IANJUTA_EDITOR_HOVER_ERROR

    #define IANJUTA_EDITOR_HOVER_ERROR ianjuta_editor_hover_error_quark()

### IAnjutaEditorHover

    typedef struct _IAnjutaEditorHover IAnjutaEditorHover;

### IAnjutaEditorHoverIface

    typedef struct {
    	IAnjutaEditorIface g_iface;

    	/* Signal */
    	void (*hover_leave) (IAnjutaEditorHover *obj, GObject* position);
    	/* Signal */
    	void (*hover_over) (IAnjutaEditorHover *obj, GObject* position);

    	void (*display) (IAnjutaEditorHover *obj, IAnjutaIterable* position,  const gchar *info, GError **err);
    } IAnjutaEditorHoverIface;

### ianjuta_editor_hover_error_quark ()

    GQuark              ianjuta_editor_hover_error_quark    (void);

Returns : |

### ianjuta_editor_hover_display ()

    void                ianjuta_editor_hover_display        (IAnjutaEditorHover *obj,
                                                             IAnjutaIterable *position,
                                                             const gchar *info,
                                                             GError **err);

Show `info` as tooltip

`obj` : | Self
`position` : |
`info` : | String to display
`err` : | Error propagation and reporting

## Signal Details

### The `"hover-leave"` signal

    void                user_function                      (IAnjutaEditorHover *ianjutaeditorhover,
                                                            GObject            *arg1,
                                                            gpointer            user_data)               : Run Last

`ianjutaeditorhover` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"hover-over"` signal

    void                user_function                      (IAnjutaEditorHover *ianjutaeditorhover,
                                                            GObject            *arg1,
                                                            gpointer            user_data)               : Run Last

`ianjutaeditorhover` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.